# Uses of Interface
org.xnio.channels.MulticastMessageChannel

Packages that use MulticastMessageChannel
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.channels
The core XNIO channel API.

## Uses of MulticastMessageChannel in org.xnio

Methods in org.xnio that return MulticastMessageChannel
Modifier and Type
Method
Description
`MulticastMessageChannel`
XnioWorker.`createUdpServer(InetSocketAddress bindAddress, ChannelListener<? super MulticastMessageChannel> bindListener, OptionMap optionMap)`
Create a UDP server.
`MulticastMessageChannel`
XnioWorker.`createUdpServer(InetSocketAddress bindAddress, OptionMap optionMap)`
Create a UDP server.
Method parameters in org.xnio with type arguments of type MulticastMessageChannel
Modifier and Type
Method
Description
`MulticastMessageChannel`
XnioWorker.`createUdpServer(InetSocketAddress bindAddress, ChannelListener<? super MulticastMessageChannel> bindListener, OptionMap optionMap)`
Create a UDP server.

## Uses of MulticastMessageChannel in org.xnio.channels

Methods in org.xnio.channels that return MulticastMessageChannel
Modifier and Type
Method
Description
`MulticastMessageChannel`
MulticastMessageChannel.Key.`getChannel()`
Return the channel associated with this key.
Methods in org.xnio.channels that return types with arguments of type MulticastMessageChannel
Modifier and Type
Method
Description
`ChannelListener.Setter<? extends MulticastMessageChannel>`
MulticastMessageChannel.`getCloseSetter()`
Get the setter which can be used to change the close listener for this channel.
`ChannelListener.Setter<? extends MulticastMessageChannel>`
MulticastMessageChannel.`getReadSetter()`
Get the setter which can be used to change the read listener for this channel.
`ChannelListener.Setter<? extends MulticastMessageChannel>`
MulticastMessageChannel.`getWriteSetter()`
Get the setter which can be used to change the write listener for this channel.